<!--- app-name: Apache -->

# AWS EKS Module Chart

## TL;DR

## Introduction

## Prerequisites

- Kubernetes 1.19+
- Helm 3.2.0+

## Using the Chart

## Parameters

### Global parameters

| Name                            | Description                                                                                                 | Value                            |
| ------------------------------- | ----------------------------------------------------------------------------------------------------------- | -------------------------------- |
| `global.chartNameOverride`      | Overrides the chart name.                                                                                   | `""`                             |
| `global.releaseNameOverride`    | Overrides the release name.                                                                                 | `""`                             |
| `global.tags`                   | Define common tags for all IAC and app resources generated by this chart.                                   | `{}`                             |
| `global.labels`                 | Define common labels for all IAC and app resources generated by this chart.                                 | `{}`                             |
| `global.annotations`            | Define common annotations for all IAC and app resources generated by this chart.                            | `{}`                             |
| `global.awsAccountId`           | Default aws account id for crossplane aws provider resources. Quotes are important, value must be a string. | `0123456789`                     |
| `global.awsRegion`              | Default aws region for crossplane aws provider resources.                                                   | `us-east-2`                      |
| `global.providerConfigRef.name` | Default crossplane provider all resources generated for crossplane.                                         | `crossplane-provider-config-aws` |
| `global.awsDeletionPolicy`      | Default crossplane deletion policy for all resources deployed by this helm chart..                          | `Orphan`                         |
| `global.vpcFullname`            | VPC name                                                                                                    | `infra-aws-vpc`                  |
| `global.secretStoreNamespace`   | Target namespace for storing EKS secrets                                                                    | `infra-argo-cd`                  |
| `global.crossplaneNamespace`    | Crossplane namespace for storing the EKS cluster config                                                     | `infra-crossplane`               |
| `global.crossplaneIAMRole`      | Crossplane IAM Role                                                                                         | `crossplane-provider-aws`        |
| `global.eksVersion`             | Default EKS Version to use                                                                                  | `1.24`                           |
| `global.eksNodeVersion`         | EKS node version                                                                                            | `1.24.15-20230816`               |
| `global.teamAdminIAMRole`       | Grant EKS admin permissions to this IAM Role                                                                | `infra-admins`                   |


### Dependency: crossplane-aws-iam upstream helm chart parameters for creating EKS resources

| Name                         | Description                                                | Value   |
| ---------------------------- | ---------------------------------------------------------- | ------- |
| `crossplane-aws-iam.enabled` | Toggle for enabling or disabling upstream chart templates. | `false` |


### Dependency: crossplane-aws-ec2 upstream helm chart parameters for creating EKS resources

| Name                         | Description                                                | Value   |
| ---------------------------- | ---------------------------------------------------------- | ------- |
| `crossplane-aws-ec2.enabled` | Toggle for enabling or disabling upstream chart templates. | `false` |


### Dependency: crossplane-aws-kms upstream helm chart parameters for creating EKS resources

| Name                         | Description                                                | Value   |
| ---------------------------- | ---------------------------------------------------------- | ------- |
| `crossplane-aws-kms.enabled` | Toggle for enabling or disabling upstream chart templates. | `false` |


### Dependency: crossplane-aws-eks upstream helm chart parameters for creating EKS resources

| Name                         | Description                                                | Value   |
| ---------------------------- | ---------------------------------------------------------- | ------- |
| `crossplane-aws-eks.enabled` | Toggle for enabling or disabling upstream chart templates. | `false` |


### Dependency: external-secrets upstream helm chart parameters for creating EKS resources

| Name                       | Description                                                | Value   |
| -------------------------- | ---------------------------------------------------------- | ------- |
| `external-secrets.enabled` | Toggle for enabling or disabling upstream chart templates. | `false` |


## Configuration and installation details


## Troubleshooting


## Notable changes
